package com.smartgwt.sample.server;

import java.io.IOException;
import java.io.PrintWriter;
import java.security.Principal;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.catalina.realm.GenericPrincipal;

import com.smartgwt.sample.client.User;


@SuppressWarnings("serial")
public class ServletLogin extends HttpServlet{
	
	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response)  
    	throws ServletException, IOException {

		Principal principal = request.getUserPrincipal();
        GenericPrincipal genericPrincipal = (GenericPrincipal) principal;
        final String[] roles = genericPrincipal.getRoles();
        String userRoles = "";
        for (int i = 0; i < roles.length; i++) {
        	userRoles = userRoles + roles[i]+",";
		}
        PrintWriter writer = response.getWriter();
        writer.append(userRoles);
	}


	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response)  
    	throws ServletException, IOException {
		doPost(request, response);
	}  
	

}
